Update to latest Master

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Update to latest Master

Jim Duda
Administrator
Hi All,

I've been away for quite a long time.

I did an update to the most recent upstream/master today.
It's not going well.
I've had to comment out a lot of modules in my code_select.txt file.

Example:
Error in user code file /home/misterhouse/data/mh_temp.user_code

  03/07/17 11:53:15 AM: Bareword "news_yahoo_loopcode" not allowed while "strict subs" in use at (eval 574) line 16288.
Line 16283:      $Run_Members{'mh_sound'}++, mh_sound_loopcode, $Run_Members{'mh_sound'}-- if $Run_Members{'mh_sound'};
Line 16284:      $Run_Members{'mhsend_server'}++, mhsend_server_loopcode, $Run_Members{'mhsend_server'}-- if $Run_Members{'mhsend_server'};
Line 16285:      $Run_Members{'monitor_memory'}++, monitor_memory_loopcode, $Run_Members{'monitor_memory'}-- if $Run_Members{'monitor_memory'};
Line 16286:      $Run_Members{'news_ap_breaking'}++, news_ap_breaking_loopcode, $Run_Members{'news_ap_breaking'}-- if $Run_Members{'news_ap_breaking'};
Line 16287:      $Run_Members{'news_email_breaking'}++, news_email_breaking_loopcode, $Run_Members{'news_email_breaking'}-- if $Run_Members{'news_email_breaking'};
Line 16288:      $Run_Members{'news_yahoo'}++, news_yahoo_loopcode, $Run_Members{'news_yahoo'}-- if $Run_Members{'news_yahoo'};
Line 16289:     $loop_sleep_total += &sleep_time($Loop_Sleep_Time);
Line 16290:      $Run_Members{'phone'}++, phone_loopcode, $Run_Members{'phone'}-- if $Run_Members{'phone'};
Line 16291:      $Run_Members{'phone_logs'}++, phone_logs_loopcode, $Run_Members{'phone_logs'}-- if $Run_Members{'phone_logs'};
Line 16292:      $Run_Members{'photo_index'}++, photo_index_loopcode, $Run_Members{'photo_index'}-- if $Run_Members{'photo_index'};
Line 16293:      $Run_Members{'pocketsphinx_control'}++, pocketsphinx_control_loopcode, $Run_Members{'pocketsphinx_control'}-- if $Run_Members{'pocketsphinx_control'};

I can see the method news_yahoo_loopcode in my mh_test.user_code file.
So, I don't understand what the problem is.

I keep commenting out module which fail.

But then I finally hit one on timers.pl, which I think I really need.

Could my problems be the version of perl I am running (v5.20.3)?
inux> perl -v

This is perl 5, version 20, subversion 3 (v5.20.3) built for x86_64-linux-thread-multi
(with 20 registered patches, see perl -V for more detail)

Has anyone else seen these similar issues?

I have to revert to what I was using before the update.

Regards,

Jim


------------------------------------------------------------------------------
Announcing the Oxford Dictionaries API! The API offers world-renowned
dictionary content that is easy and intuitive to access. Sign up for an
account today to start using our lexical data to power your apps and
projects. Get started today and enter our developer competition.
http://sdm.link/oxford
________________________________________________________
To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users

Reply | Threaded
Open this post in threaded view
|

Re: Update to latest Master

H Plato
Hi Jim,

  Thanks for testing out master. Great to have a heads up on problems before we release 4.2!

  Do you have a list of the offending modules?  Lieven's 'continuous intergration' setup that he put into place has ensured that pull requests don't break mh from starting up, but not all modules have been tested.

Sent from my mobile device.

> On Mar 7, 2017, at 9:59 AM, Jim Duda <[hidden email]> wrote:
>
> Hi All,
>
> I've been away for quite a long time.
>
> I did an update to the most recent upstream/master today.
> It's not going well.
> I've had to comment out a lot of modules in my code_select.txt file.
>
> Example:
> Error in user code file /home/misterhouse/data/mh_temp.user_code
>
>  03/07/17 11:53:15 AM: Bareword "news_yahoo_loopcode" not allowed while "strict subs" in use at (eval 574) line 16288.
> Line 16283:      $Run_Members{'mh_sound'}++, mh_sound_loopcode, $Run_Members{'mh_sound'}-- if $Run_Members{'mh_sound'};
> Line 16284:      $Run_Members{'mhsend_server'}++, mhsend_server_loopcode, $Run_Members{'mhsend_server'}-- if $Run_Members{'mhsend_server'};
> Line 16285:      $Run_Members{'monitor_memory'}++, monitor_memory_loopcode, $Run_Members{'monitor_memory'}-- if $Run_Members{'monitor_memory'};
> Line 16286:      $Run_Members{'news_ap_breaking'}++, news_ap_breaking_loopcode, $Run_Members{'news_ap_breaking'}-- if $Run_Members{'news_ap_breaking'};
> Line 16287:      $Run_Members{'news_email_breaking'}++, news_email_breaking_loopcode, $Run_Members{'news_email_breaking'}-- if $Run_Members{'news_email_breaking'};
> Line 16288:      $Run_Members{'news_yahoo'}++, news_yahoo_loopcode, $Run_Members{'news_yahoo'}-- if $Run_Members{'news_yahoo'};
> Line 16289:     $loop_sleep_total += &sleep_time($Loop_Sleep_Time);
> Line 16290:      $Run_Members{'phone'}++, phone_loopcode, $Run_Members{'phone'}-- if $Run_Members{'phone'};
> Line 16291:      $Run_Members{'phone_logs'}++, phone_logs_loopcode, $Run_Members{'phone_logs'}-- if $Run_Members{'phone_logs'};
> Line 16292:      $Run_Members{'photo_index'}++, photo_index_loopcode, $Run_Members{'photo_index'}-- if $Run_Members{'photo_index'};
> Line 16293:      $Run_Members{'pocketsphinx_control'}++, pocketsphinx_control_loopcode, $Run_Members{'pocketsphinx_control'}-- if $Run_Members{'pocketsphinx_control'};
>
> I can see the method news_yahoo_loopcode in my mh_test.user_code file.
> So, I don't understand what the problem is.
>
> I keep commenting out module which fail.
>
> But then I finally hit one on timers.pl, which I think I really need.
>
> Could my problems be the version of perl I am running (v5.20.3)?
> inux> perl -v
>
> This is perl 5, version 20, subversion 3 (v5.20.3) built for x86_64-linux-thread-multi
> (with 20 registered patches, see perl -V for more detail)
>
> Has anyone else seen these similar issues?
>
> I have to revert to what I was using before the update.
>
> Regards,
>
> Jim
>
>
> ------------------------------------------------------------------------------
> Announcing the Oxford Dictionaries API! The API offers world-renowned
> dictionary content that is easy and intuitive to access. Sign up for an
> account today to start using our lexical data to power your apps and
> projects. Get started today and enter our developer competition.
> http://sdm.link/oxford
> ________________________________________________________
> To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users
>

------------------------------------------------------------------------------
Announcing the Oxford Dictionaries API! The API offers world-renowned
dictionary content that is easy and intuitive to access. Sign up for an
account today to start using our lexical data to power your apps and
projects. Get started today and enter our developer competition.
http://sdm.link/oxford
________________________________________________________
To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users

Reply | Threaded
Open this post in threaded view
|

Re: Update to latest Master

Jim Duda
Administrator
Hi,

This is a partial list.
I gave up after weather_chance_of_rain.pl
I can go back and try again to see if I can get it off the ground at all.

news_yahoo.pl
phone.pl
phone_logs.pl
photo_index.pl
timers.pl
weather_chance_of_rain.pl

Regards,

Jim


On 03/07/2017 12:47 PM, H Plato wrote:

> Hi Jim,
>
>    Thanks for testing out master. Great to have a heads up on problems before we release 4.2!
>
>    Do you have a list of the offending modules?  Lieven's 'continuous intergration' setup that he put into place has ensured that pull requests don't break mh from starting up, but not all modules have been tested.
>
> Sent from my mobile device.
>
>> On Mar 7, 2017, at 9:59 AM, Jim Duda <[hidden email]> wrote:
>>
>> Hi All,
>>
>> I've been away for quite a long time.
>>
>> I did an update to the most recent upstream/master today.
>> It's not going well.
>> I've had to comment out a lot of modules in my code_select.txt file.
>>
>> Example:
>> Error in user code file /home/misterhouse/data/mh_temp.user_code
>>
>>   03/07/17 11:53:15 AM: Bareword "news_yahoo_loopcode" not allowed while "strict subs" in use at (eval 574) line 16288.
>> Line 16283:      $Run_Members{'mh_sound'}++, mh_sound_loopcode, $Run_Members{'mh_sound'}-- if $Run_Members{'mh_sound'};
>> Line 16284:      $Run_Members{'mhsend_server'}++, mhsend_server_loopcode, $Run_Members{'mhsend_server'}-- if $Run_Members{'mhsend_server'};
>> Line 16285:      $Run_Members{'monitor_memory'}++, monitor_memory_loopcode, $Run_Members{'monitor_memory'}-- if $Run_Members{'monitor_memory'};
>> Line 16286:      $Run_Members{'news_ap_breaking'}++, news_ap_breaking_loopcode, $Run_Members{'news_ap_breaking'}-- if $Run_Members{'news_ap_breaking'};
>> Line 16287:      $Run_Members{'news_email_breaking'}++, news_email_breaking_loopcode, $Run_Members{'news_email_breaking'}-- if $Run_Members{'news_email_breaking'};
>> Line 16288:      $Run_Members{'news_yahoo'}++, news_yahoo_loopcode, $Run_Members{'news_yahoo'}-- if $Run_Members{'news_yahoo'};
>> Line 16289:     $loop_sleep_total += &sleep_time($Loop_Sleep_Time);
>> Line 16290:      $Run_Members{'phone'}++, phone_loopcode, $Run_Members{'phone'}-- if $Run_Members{'phone'};
>> Line 16291:      $Run_Members{'phone_logs'}++, phone_logs_loopcode, $Run_Members{'phone_logs'}-- if $Run_Members{'phone_logs'};
>> Line 16292:      $Run_Members{'photo_index'}++, photo_index_loopcode, $Run_Members{'photo_index'}-- if $Run_Members{'photo_index'};
>> Line 16293:      $Run_Members{'pocketsphinx_control'}++, pocketsphinx_control_loopcode, $Run_Members{'pocketsphinx_control'}-- if $Run_Members{'pocketsphinx_control'};
>>
>> I can see the method news_yahoo_loopcode in my mh_test.user_code file.
>> So, I don't understand what the problem is.
>>
>> I keep commenting out module which fail.
>>
>> But then I finally hit one on timers.pl, which I think I really need.
>>
>> Could my problems be the version of perl I am running (v5.20.3)?
>> inux> perl -v
>>
>> This is perl 5, version 20, subversion 3 (v5.20.3) built for x86_64-linux-thread-multi
>> (with 20 registered patches, see perl -V for more detail)
>>
>> Has anyone else seen these similar issues?
>>
>> I have to revert to what I was using before the update.
>>
>> Regards,
>>
>> Jim
>>
>>
>> ------------------------------------------------------------------------------
>> Announcing the Oxford Dictionaries API! The API offers world-renowned
>> dictionary content that is easy and intuitive to access. Sign up for an
>> account today to start using our lexical data to power your apps and
>> projects. Get started today and enter our developer competition.
>> http://sdm.link/oxford
>> ________________________________________________________
>> To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users
>>


------------------------------------------------------------------------------
Announcing the Oxford Dictionaries API! The API offers world-renowned
dictionary content that is easy and intuitive to access. Sign up for an
account today to start using our lexical data to power your apps and
projects. Get started today and enter our developer competition.
http://sdm.link/oxford
________________________________________________________
To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users

Reply | Threaded
Open this post in threaded view
|

Re: Update to latest Master

H Plato
I just downloaded master to try and replicate your issue. Not quite the same, since I’m using perl 5.18.2

Using this code_select.txt

sh-3.2# cat code_select.txt
# This file is auto-generated by web code_select.pl.
# It lists all files you have selected from the common code dir

benchmarks.pl
eliza_server.pl
menu.pl
mh_control.pl
mh_release.pl
mh_sound.pl
mhsend_server.pl
news_yahoo.pl
organizer.pl
phone.pl
phone_logs.pl
photo_index.pl
timers.pl
tk_eye.pl
tk_frames.pl
tk_widgets.pl
weather_chance_of_rain.pl
weather_rrd_update.pl

MH from master starts and works properly for me. I’ll see if I can get perl 5.20.3 somewhere.

> On Mar 7, 2017, at 10:54 AM, Jim Duda <[hidden email]> wrote:
>
> Hi,
>
> This is a partial list.
> I gave up after weather_chance_of_rain.pl
> I can go back and try again to see if I can get it off the ground at all.
>
> news_yahoo.pl
> phone.pl
> phone_logs.pl
> photo_index.pl
> timers.pl
> weather_chance_of_rain.pl
>
> Regards,
>
> Jim
>
>
> On 03/07/2017 12:47 PM, H Plato wrote:
>> Hi Jim,
>>
>>   Thanks for testing out master. Great to have a heads up on problems before we release 4.2!
>>
>>   Do you have a list of the offending modules?  Lieven's 'continuous intergration' setup that he put into place has ensured that pull requests don't break mh from starting up, but not all modules have been tested.
>>
>> Sent from my mobile device.
>>
>>> On Mar 7, 2017, at 9:59 AM, Jim Duda <[hidden email]> wrote:
>>>
>>> Hi All,
>>>
>>> I've been away for quite a long time.
>>>
>>> I did an update to the most recent upstream/master today.
>>> It's not going well.
>>> I've had to comment out a lot of modules in my code_select.txt file.
>>>
>>> Example:
>>> Error in user code file /home/misterhouse/data/mh_temp.user_code
>>>
>>>  03/07/17 11:53:15 AM: Bareword "news_yahoo_loopcode" not allowed while "strict subs" in use at (eval 574) line 16288.
>>> Line 16283:      $Run_Members{'mh_sound'}++, mh_sound_loopcode, $Run_Members{'mh_sound'}-- if $Run_Members{'mh_sound'};
>>> Line 16284:      $Run_Members{'mhsend_server'}++, mhsend_server_loopcode, $Run_Members{'mhsend_server'}-- if $Run_Members{'mhsend_server'};
>>> Line 16285:      $Run_Members{'monitor_memory'}++, monitor_memory_loopcode, $Run_Members{'monitor_memory'}-- if $Run_Members{'monitor_memory'};
>>> Line 16286:      $Run_Members{'news_ap_breaking'}++, news_ap_breaking_loopcode, $Run_Members{'news_ap_breaking'}-- if $Run_Members{'news_ap_breaking'};
>>> Line 16287:      $Run_Members{'news_email_breaking'}++, news_email_breaking_loopcode, $Run_Members{'news_email_breaking'}-- if $Run_Members{'news_email_breaking'};
>>> Line 16288:      $Run_Members{'news_yahoo'}++, news_yahoo_loopcode, $Run_Members{'news_yahoo'}-- if $Run_Members{'news_yahoo'};
>>> Line 16289:     $loop_sleep_total += &sleep_time($Loop_Sleep_Time);
>>> Line 16290:      $Run_Members{'phone'}++, phone_loopcode, $Run_Members{'phone'}-- if $Run_Members{'phone'};
>>> Line 16291:      $Run_Members{'phone_logs'}++, phone_logs_loopcode, $Run_Members{'phone_logs'}-- if $Run_Members{'phone_logs'};
>>> Line 16292:      $Run_Members{'photo_index'}++, photo_index_loopcode, $Run_Members{'photo_index'}-- if $Run_Members{'photo_index'};
>>> Line 16293:      $Run_Members{'pocketsphinx_control'}++, pocketsphinx_control_loopcode, $Run_Members{'pocketsphinx_control'}-- if $Run_Members{'pocketsphinx_control'};
>>>
>>> I can see the method news_yahoo_loopcode in my mh_test.user_code file.
>>> So, I don't understand what the problem is.
>>>
>>> I keep commenting out module which fail.
>>>
>>> But then I finally hit one on timers.pl, which I think I really need.
>>>
>>> Could my problems be the version of perl I am running (v5.20.3)?
>>> inux> perl -v
>>>
>>> This is perl 5, version 20, subversion 3 (v5.20.3) built for x86_64-linux-thread-multi
>>> (with 20 registered patches, see perl -V for more detail)
>>>
>>> Has anyone else seen these similar issues?
>>>
>>> I have to revert to what I was using before the update.
>>>
>>> Regards,
>>>
>>> Jim
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Announcing the Oxford Dictionaries API! The API offers world-renowned
>>> dictionary content that is easy and intuitive to access. Sign up for an
>>> account today to start using our lexical data to power your apps and
>>> projects. Get started today and enter our developer competition.
>>> http://sdm.link/oxford
>>> ________________________________________________________
>>> To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users
>>>
>


------------------------------------------------------------------------------
Announcing the Oxford Dictionaries API! The API offers world-renowned
dictionary content that is easy and intuitive to access. Sign up for an
account today to start using our lexical data to power your apps and
projects. Get started today and enter our developer competition.
http://sdm.link/oxford
________________________________________________________
To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users

Reply | Threaded
Open this post in threaded view
|

Re: Update to latest Master

H Plato
In reply to this post by Jim Duda
Hi Jim,

  OK, I installed perl 5.20.3 on my laptop, and am able to start MH with those code files:

Command: mh -tk=0
Pgm  path   : .
Pgm  version: 4.2  
Last updated: Tue Mar  7 18:31:36 2017
Perl version: 5.020003
OS   version: darwin darwin  
Other       : user=root pid=97373 box= cpu=-


I wonder if maybe one of your usercode files might be problematic? Can you try renaming a bunch of them to like .pl-disabled so see if we can narrow things down?

> On Mar 7, 2017, at 10:54 AM, Jim Duda <[hidden email]> wrote:
>
> Hi,
>
> This is a partial list.
> I gave up after weather_chance_of_rain.pl
> I can go back and try again to see if I can get it off the ground at all.
>
> news_yahoo.pl
> phone.pl
> phone_logs.pl
> photo_index.pl
> timers.pl
> weather_chance_of_rain.pl
>
> Regards,
>
> Jim
>
>
> On 03/07/2017 12:47 PM, H Plato wrote:
>> Hi Jim,
>>
>>   Thanks for testing out master. Great to have a heads up on problems before we release 4.2!
>>
>>   Do you have a list of the offending modules?  Lieven's 'continuous intergration' setup that he put into place has ensured that pull requests don't break mh from starting up, but not all modules have been tested.
>>
>> Sent from my mobile device.
>>
>>> On Mar 7, 2017, at 9:59 AM, Jim Duda <[hidden email]> wrote:
>>>
>>> Hi All,
>>>
>>> I've been away for quite a long time.
>>>
>>> I did an update to the most recent upstream/master today.
>>> It's not going well.
>>> I've had to comment out a lot of modules in my code_select.txt file.
>>>
>>> Example:
>>> Error in user code file /home/misterhouse/data/mh_temp.user_code
>>>
>>>  03/07/17 11:53:15 AM: Bareword "news_yahoo_loopcode" not allowed while "strict subs" in use at (eval 574) line 16288.
>>> Line 16283:      $Run_Members{'mh_sound'}++, mh_sound_loopcode, $Run_Members{'mh_sound'}-- if $Run_Members{'mh_sound'};
>>> Line 16284:      $Run_Members{'mhsend_server'}++, mhsend_server_loopcode, $Run_Members{'mhsend_server'}-- if $Run_Members{'mhsend_server'};
>>> Line 16285:      $Run_Members{'monitor_memory'}++, monitor_memory_loopcode, $Run_Members{'monitor_memory'}-- if $Run_Members{'monitor_memory'};
>>> Line 16286:      $Run_Members{'news_ap_breaking'}++, news_ap_breaking_loopcode, $Run_Members{'news_ap_breaking'}-- if $Run_Members{'news_ap_breaking'};
>>> Line 16287:      $Run_Members{'news_email_breaking'}++, news_email_breaking_loopcode, $Run_Members{'news_email_breaking'}-- if $Run_Members{'news_email_breaking'};
>>> Line 16288:      $Run_Members{'news_yahoo'}++, news_yahoo_loopcode, $Run_Members{'news_yahoo'}-- if $Run_Members{'news_yahoo'};
>>> Line 16289:     $loop_sleep_total += &sleep_time($Loop_Sleep_Time);
>>> Line 16290:      $Run_Members{'phone'}++, phone_loopcode, $Run_Members{'phone'}-- if $Run_Members{'phone'};
>>> Line 16291:      $Run_Members{'phone_logs'}++, phone_logs_loopcode, $Run_Members{'phone_logs'}-- if $Run_Members{'phone_logs'};
>>> Line 16292:      $Run_Members{'photo_index'}++, photo_index_loopcode, $Run_Members{'photo_index'}-- if $Run_Members{'photo_index'};
>>> Line 16293:      $Run_Members{'pocketsphinx_control'}++, pocketsphinx_control_loopcode, $Run_Members{'pocketsphinx_control'}-- if $Run_Members{'pocketsphinx_control'};
>>>
>>> I can see the method news_yahoo_loopcode in my mh_test.user_code file.
>>> So, I don't understand what the problem is.
>>>
>>> I keep commenting out module which fail.
>>>
>>> But then I finally hit one on timers.pl, which I think I really need.
>>>
>>> Could my problems be the version of perl I am running (v5.20.3)?
>>> inux> perl -v
>>>
>>> This is perl 5, version 20, subversion 3 (v5.20.3) built for x86_64-linux-thread-multi
>>> (with 20 registered patches, see perl -V for more detail)
>>>
>>> Has anyone else seen these similar issues?
>>>
>>> I have to revert to what I was using before the update.
>>>
>>> Regards,
>>>
>>> Jim
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Announcing the Oxford Dictionaries API! The API offers world-renowned
>>> dictionary content that is easy and intuitive to access. Sign up for an
>>> account today to start using our lexical data to power your apps and
>>> projects. Get started today and enter our developer competition.
>>> http://sdm.link/oxford
>>> ________________________________________________________
>>> To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users
>>>
>


------------------------------------------------------------------------------
Announcing the Oxford Dictionaries API! The API offers world-renowned
dictionary content that is easy and intuitive to access. Sign up for an
account today to start using our lexical data to power your apps and
projects. Get started today and enter our developer competition.
http://sdm.link/oxford
________________________________________________________
To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users

Reply | Threaded
Open this post in threaded view
|

Re: Update to latest Master

Jim Duda
Administrator
That's seems reasonable.
I will try and minimize and then build up.

Regards,

Jim

On 03/07/2017 09:04 PM, H Plato wrote:

> Hi Jim,
>
>   OK, I installed perl 5.20.3 on my laptop, and am able to start MH with those code files:
>
> Command: mh -tk=0
> Pgm  path   : .
> Pgm  version: 4.2  
> Last updated: Tue Mar  7 18:31:36 2017
> Perl version: 5.020003
> OS   version: darwin darwin  
> Other       : user=root pid=97373 box= cpu=-
>
>
> I wonder if maybe one of your usercode files might be problematic? Can you try renaming a bunch of them to like .pl-disabled so see if we can narrow things down?
>
>> On Mar 7, 2017, at 10:54 AM, Jim Duda <[hidden email]> wrote:
>>
>> Hi,
>>
>> This is a partial list.
>> I gave up after weather_chance_of_rain.pl
>> I can go back and try again to see if I can get it off the ground at all.
>>
>> news_yahoo.pl
>> phone.pl
>> phone_logs.pl
>> photo_index.pl
>> timers.pl
>> weather_chance_of_rain.pl
>>
>> Regards,
>>
>> Jim
>>
>>
>> On 03/07/2017 12:47 PM, H Plato wrote:
>>> Hi Jim,
>>>
>>>   Thanks for testing out master. Great to have a heads up on problems before we release 4.2!
>>>
>>>   Do you have a list of the offending modules?  Lieven's 'continuous intergration' setup that he put into place has ensured that pull requests don't break mh from starting up, but not all modules have been tested.
>>>
>>> Sent from my mobile device.
>>>
>>>> On Mar 7, 2017, at 9:59 AM, Jim Duda <[hidden email]> wrote:
>>>>
>>>> Hi All,
>>>>
>>>> I've been away for quite a long time.
>>>>
>>>> I did an update to the most recent upstream/master today.
>>>> It's not going well.
>>>> I've had to comment out a lot of modules in my code_select.txt file.
>>>>
>>>> Example:
>>>> Error in user code file /home/misterhouse/data/mh_temp.user_code
>>>>
>>>>  03/07/17 11:53:15 AM: Bareword "news_yahoo_loopcode" not allowed while "strict subs" in use at (eval 574) line 16288.
>>>> Line 16283:      $Run_Members{'mh_sound'}++, mh_sound_loopcode, $Run_Members{'mh_sound'}-- if $Run_Members{'mh_sound'};
>>>> Line 16284:      $Run_Members{'mhsend_server'}++, mhsend_server_loopcode, $Run_Members{'mhsend_server'}-- if $Run_Members{'mhsend_server'};
>>>> Line 16285:      $Run_Members{'monitor_memory'}++, monitor_memory_loopcode, $Run_Members{'monitor_memory'}-- if $Run_Members{'monitor_memory'};
>>>> Line 16286:      $Run_Members{'news_ap_breaking'}++, news_ap_breaking_loopcode, $Run_Members{'news_ap_breaking'}-- if $Run_Members{'news_ap_breaking'};
>>>> Line 16287:      $Run_Members{'news_email_breaking'}++, news_email_breaking_loopcode, $Run_Members{'news_email_breaking'}-- if $Run_Members{'news_email_breaking'};
>>>> Line 16288:      $Run_Members{'news_yahoo'}++, news_yahoo_loopcode, $Run_Members{'news_yahoo'}-- if $Run_Members{'news_yahoo'};
>>>> Line 16289:     $loop_sleep_total += &sleep_time($Loop_Sleep_Time);
>>>> Line 16290:      $Run_Members{'phone'}++, phone_loopcode, $Run_Members{'phone'}-- if $Run_Members{'phone'};
>>>> Line 16291:      $Run_Members{'phone_logs'}++, phone_logs_loopcode, $Run_Members{'phone_logs'}-- if $Run_Members{'phone_logs'};
>>>> Line 16292:      $Run_Members{'photo_index'}++, photo_index_loopcode, $Run_Members{'photo_index'}-- if $Run_Members{'photo_index'};
>>>> Line 16293:      $Run_Members{'pocketsphinx_control'}++, pocketsphinx_control_loopcode, $Run_Members{'pocketsphinx_control'}-- if $Run_Members{'pocketsphinx_control'};
>>>>
>>>> I can see the method news_yahoo_loopcode in my mh_test.user_code file.
>>>> So, I don't understand what the problem is.
>>>>
>>>> I keep commenting out module which fail.
>>>>
>>>> But then I finally hit one on timers.pl, which I think I really need.
>>>>
>>>> Could my problems be the version of perl I am running (v5.20.3)?
>>>> inux> perl -v
>>>>
>>>> This is perl 5, version 20, subversion 3 (v5.20.3) built for x86_64-linux-thread-multi
>>>> (with 20 registered patches, see perl -V for more detail)
>>>>
>>>> Has anyone else seen these similar issues?
>>>>
>>>> I have to revert to what I was using before the update.
>>>>
>>>> Regards,
>>>>
>>>> Jim
>>>>
>>>>
>>>> ------------------------------------------------------------------------------
>>>> Announcing the Oxford Dictionaries API! The API offers world-renowned
>>>> dictionary content that is easy and intuitive to access. Sign up for an
>>>> account today to start using our lexical data to power your apps and
>>>> projects. Get started today and enter our developer competition.
>>>> http://sdm.link/oxford
>>>> ________________________________________________________
>>>> To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users
>>>>
>>
>
>
> ------------------------------------------------------------------------------
> Announcing the Oxford Dictionaries API! The API offers world-renowned
> dictionary content that is easy and intuitive to access. Sign up for an
> account today to start using our lexical data to power your apps and
> projects. Get started today and enter our developer competition.
> http://sdm.link/oxford
> ________________________________________________________
> To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users
>
>



------------------------------------------------------------------------------
Announcing the Oxford Dictionaries API! The API offers world-renowned
dictionary content that is easy and intuitive to access. Sign up for an
account today to start using our lexical data to power your apps and
projects. Get started today and enter our developer competition.
http://sdm.link/oxford
________________________________________________________
To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users

Reply | Threaded
Open this post in threaded view
|

Re: Update to latest Master

Jason Sharpee
​Hi Jim!

   You could try the docker image I built: zonyl/misterhouse (it was from master a month ago) .  I had to wiggle through a bunch of dependencies to make that run as well, but at least you could examine the dockerfile for the packages I installed.

-J


On Tue, Mar 7, 2017 at 9:43 PM, Jim Duda <[hidden email]> wrote:
That's seems reasonable.
I will try and minimize and then build up.

Regards,

Jim

On 03/07/2017 09:04 PM, H Plato wrote:
> Hi Jim,
>
>   OK, I installed perl 5.20.3 on my laptop, and am able to start MH with those code files:
>
> Command: mh -tk=0
> Pgm  path   : .
> Pgm  version: 4.2
> Last updated: Tue Mar  7 18:31:36 2017
> Perl version: 5.020003
> OS   version: darwin darwin
> Other       : user=root pid=97373 box= cpu=-
>
>
> I wonder if maybe one of your usercode files might be problematic? Can you try renaming a bunch of them to like .pl-disabled so see if we can narrow things down?
>
>> On Mar 7, 2017, at 10:54 AM, Jim Duda <[hidden email]> wrote:
>>
>> Hi,
>>
>> This is a partial list.
>> I gave up after weather_chance_of_rain.pl
>> I can go back and try again to see if I can get it off the ground at all.
>>
>> news_yahoo.pl
>> phone.pl
>> phone_logs.pl
>> photo_index.pl
>> timers.pl
>> weather_chance_of_rain.pl
>>
>> Regards,
>>
>> Jim
>>
>>
>> On 03/07/2017 12:47 PM, H Plato wrote:
>>> Hi Jim,
>>>
>>>   Thanks for testing out master. Great to have a heads up on problems before we release 4.2!
>>>
>>>   Do you have a list of the offending modules?  Lieven's 'continuous intergration' setup that he put into place has ensured that pull requests don't break mh from starting up, but not all modules have been tested.
>>>
>>> Sent from my mobile device.
>>>
>>>> On Mar 7, 2017, at 9:59 AM, Jim Duda <[hidden email]> wrote:
>>>>
>>>> Hi All,
>>>>
>>>> I've been away for quite a long time.
>>>>
>>>> I did an update to the most recent upstream/master today.
>>>> It's not going well.
>>>> I've had to comment out a lot of modules in my code_select.txt file.
>>>>
>>>> Example:
>>>> Error in user code file /home/misterhouse/data/mh_temp.user_code
>>>>
>>>>  03/07/17 11:53:15 AM: Bareword "news_yahoo_loopcode" not allowed while "strict subs" in use at (eval 574) line 16288.
>>>> Line 16283:      $Run_Members{'mh_sound'}++, mh_sound_loopcode, $Run_Members{'mh_sound'}-- if $Run_Members{'mh_sound'};
>>>> Line 16284:      $Run_Members{'mhsend_server'}++, mhsend_server_loopcode, $Run_Members{'mhsend_server'}-- if $Run_Members{'mhsend_server'};
>>>> Line 16285:      $Run_Members{'monitor_memory'}++, monitor_memory_loopcode, $Run_Members{'monitor_memory'}-- if $Run_Members{'monitor_memory'};
>>>> Line 16286:      $Run_Members{'news_ap_breaking'}++, news_ap_breaking_loopcode, $Run_Members{'news_ap_breaking'}-- if $Run_Members{'news_ap_breaking'};
>>>> Line 16287:      $Run_Members{'news_email_breaking'}++, news_email_breaking_loopcode, $Run_Members{'news_email_breaking'}-- if $Run_Members{'news_email_breaking'};
>>>> Line 16288:      $Run_Members{'news_yahoo'}++, news_yahoo_loopcode, $Run_Members{'news_yahoo'}-- if $Run_Members{'news_yahoo'};
>>>> Line 16289:     $loop_sleep_total += &sleep_time($Loop_Sleep_Time);
>>>> Line 16290:      $Run_Members{'phone'}++, phone_loopcode, $Run_Members{'phone'}-- if $Run_Members{'phone'};
>>>> Line 16291:      $Run_Members{'phone_logs'}++, phone_logs_loopcode, $Run_Members{'phone_logs'}-- if $Run_Members{'phone_logs'};
>>>> Line 16292:      $Run_Members{'photo_index'}++, photo_index_loopcode, $Run_Members{'photo_index'}-- if $Run_Members{'photo_index'};
>>>> Line 16293:      $Run_Members{'pocketsphinx_control'}++, pocketsphinx_control_loopcode, $Run_Members{'pocketsphinx_control'}-- if $Run_Members{'pocketsphinx_control'};
>>>>
>>>> I can see the method news_yahoo_loopcode in my mh_test.user_code file.
>>>> So, I don't understand what the problem is.
>>>>
>>>> I keep commenting out module which fail.
>>>>
>>>> But then I finally hit one on timers.pl, which I think I really need.
>>>>
>>>> Could my problems be the version of perl I am running (v5.20.3)?
>>>> inux> perl -v
>>>>
>>>> This is perl 5, version 20, subversion 3 (v5.20.3) built for x86_64-linux-thread-multi
>>>> (with 20 registered patches, see perl -V for more detail)
>>>>
>>>> Has anyone else seen these similar issues?
>>>>
>>>> I have to revert to what I was using before the update.
>>>>
>>>> Regards,
>>>>
>>>> Jim
>>>>
>>>>
>>>> ------------------------------------------------------------------------------
>>>> Announcing the Oxford Dictionaries API! The API offers world-renowned
>>>> dictionary content that is easy and intuitive to access. Sign up for an
>>>> account today to start using our lexical data to power your apps and
>>>> projects. Get started today and enter our developer competition.
>>>> http://sdm.link/oxford
>>>> ________________________________________________________
>>>> To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users
>>>>
>>
>
>
> ------------------------------------------------------------------------------
> Announcing the Oxford Dictionaries API! The API offers world-renowned
> dictionary content that is easy and intuitive to access. Sign up for an
> account today to start using our lexical data to power your apps and
> projects. Get started today and enter our developer competition.
> http://sdm.link/oxford
> ________________________________________________________
> To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users
>
>



------------------------------------------------------------------------------
Announcing the Oxford Dictionaries API! The API offers world-renowned
dictionary content that is easy and intuitive to access. Sign up for an
account today to start using our lexical data to power your apps and
projects. Get started today and enter our developer competition.
http://sdm.link/oxford
________________________________________________________
To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users




--
Jason Sharpee

------------------------------------------------------------------------------
Announcing the Oxford Dictionaries API! The API offers world-renowned
dictionary content that is easy and intuitive to access. Sign up for an
account today to start using our lexical data to power your apps and
projects. Get started today and enter our developer competition.
http://sdm.link/oxford
________________________________________________________
To unsubscribe from this list, go to: https://lists.sourceforge.net/lists/listinfo/misterhouse-users